Bug 500254 - Pre-Review Request: jakarta-commons-jxpath - Simple XPath interpreter
Pre-Review Request: jakarta-commons-jxpath - Simple XPath interpreter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 18:12 EDT by Fernando Nasser
Modified: 2009-08-20 09:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 09:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:12:35 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/jakarta-commons-jxpath.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/jakarta-commons-jxpath-1.2-5.jpp6.src.rpm

Description: 
Defines a simple interpreter of an expression language called XPath.
JXPath applies  XPath  expressions to graphs of objects of all kinds:
JavaBeans, Maps, Servlet contexts, DOM etc, including mixtures thereof.
Comment 1 Andrew Overholt 2009-05-14 15:54:17 EDT
It would be nice to have a URL for source0.  I found it upstream regardless, matched the md5sum upstream to the one I downloaded and to the one in the SRPM.

I looked through a random sampling of 5 or so source files and they all say ASL 2.0 as does LICENSE.txt.  Therefore, the License field should reflect this.

There's a one line difference between the pom file included in the SRPM and the one from upstream (line 41):

-      <organization/>
+      <organization></organization>

Otherwise, pre-review checklist seems okay to me.
Comment 2 Fernando Nasser 2009-05-18 12:03:43 EDT
Fixed license.

Provided intructions for obtaining source and refresh source tar ball

Spec URL: http://people.fedoraproject.org/~fnasser/jakarta-commons-jxpath.spec

SRPM URL:
http://people.fedoraproject.org/~fnasser/jakarta-commons-jxpath-1.2-6.jpp6.src.rpm

Thanks a lot for the review and improvement suggestions.
Comment 3 Andrew Overholt 2009-05-19 09:08:11 EDT
I get a different SVN revision (776300) but there are no differences.  Approved.
Comment 4 Fernando Nasser 2009-05-20 16:41:24 EDT
New Package CVS Request
=======================
Package Name: jakarta-commons-jxpath
Short Description: Simple XPath interpreter
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 5 Kevin Fenzi 2009-05-21 19:49:58 EDT
cvs done.
Comment 6 Alexander Kurtakov 2009-08-20 09:54:15 EDT
Build in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=128061

Note You need to log in before you can comment on or make changes to this bug.